Gecode::Int::Linear::ReLinBoolInt< VX, VB > Class Template Reference

Baseclass for reified integer Boolean sum. More...

`#include <linear.hh>`

## Public Member Functions

virtual PropCost | cost (const Space &home, const ModEventDelta &med) const
| Cost function (defined as high unary).
virtual size_t | dispose (Space &home)
| Delete propagator and return its size.
virtual void | reschedule (Space &home)=0
| Schedule function.
virtual ExecStatus | propagate (Space &home, const ModEventDelta &med)=0
| Propagation function.
ModEventDelta | modeventdelta (void) const
| Return the modification event delta.
virtual ExecStatus | advise (Space &home, Advisor &a, const Delta &d)
| Advise function.
virtual void | advise (Space &home, Advisor &a)
| Run advisor a to be run on failure in failed space.
double | afc (void) const
| Return the accumlated failure count.
unsigned int | id (void) const
| Return propagator id.
PropagatorGroup | group (void) const
| Return group propagator belongs to.
void | group (PropagatorGroup g)
| Add propagator to group g.
bool | disabled (void) const
| Whether propagator is currently disabled.
Public Member Functions inherited from Gecode::Actor
virtual Actor * | copy (Space &home)=0
| Create copy.
virtual | ~Actor (void)
| To avoid warnings.

## Protected Member Functions

void | normalize (void)
| Normalize by removing unused views.
| ReLinBoolInt (Space &home, ReLinBoolInt &p)
| Constructor for cloning p.
| ReLinBoolInt (Home home, ViewArray< VX > &x, int c, VB b)
| Constructor for creation.
Protected Member Functions inherited from Gecode::Propagator
| Propagator (Home home)
| Constructor for posting.
| Propagator (Space &home, Propagator &p)
| Constructor for cloning p.
Propagator * | fwd (void) const
| Return forwarding pointer during copying.
Kernel::GPI::Info & | gpi (void)
| Provide access to global propagator information.

## Protected Attributes

Council< Advisor > | co
| Council for single advisor.
ViewArray< VX > | x
| Views.
int | n_s
| Number of subscriptions.
int | c
| Righthandside.
VB | b
| Control variable.

## Additional Inherited Members

static void * | operator new (size_t s, Space &home)
| Allocate memory from space.
static void | operator delete (void *p, Space &home)
| No-op for exceptions.
static void * | operator new (size_t s)
| Not used.
static void | operator delete (void *p)
| Not used.

## Detailed Description

template<class VX, class VB>
class Gecode::Int::Linear::ReLinBoolInt< VX, VB >

Baseclass for reified integer Boolean sum.

Definition at line 916 of file linear.hh.

## Constructor & Destructor Documentation

## ReLinBoolInt() [1/2]

template<class VX, class VB>

Gecode::Int::Linear::ReLinBoolInt< VX, VB >::ReLinBoolInt | ( | Space & | home,
|  | ReLinBoolInt< VX, VB > & | p )

inline protected

Constructor for cloning p.

Definition at line 518 of file bool-int.hpp.

## ReLinBoolInt() [2/2]

template<class VX, class VB>

Gecode::Int::Linear::ReLinBoolInt< VX, VB >::ReLinBoolInt | ( | Home | home,
|  | ViewArray< VX > & | x,
|  | int | c,
|  | VB | b )

inline protected

Constructor for creation.

Definition at line 496 of file bool-int.hpp.

## Member Function Documentation

## normalize()

template<class VX, class VB>

void Gecode::Int::Linear::ReLinBoolInt< VX, VB >::normalize | ( | void |  | ) |

inline protected

Normalize by removing unused views.

Definition at line 505 of file bool-int.hpp.

## cost()

template<class VX, class VB>

PropCost Gecode::Int::Linear::ReLinBoolInt< VX, VB >::cost | ( | const Space & | home,
|  | const ModEventDelta & | med ) const

virtual

Cost function (defined as high unary).

Implements Gecode::Propagator.

Definition at line 539 of file bool-int.hpp.

## dispose()

template<class VX, class VB>

size_t Gecode::Int::Linear::ReLinBoolInt< VX, VB >::dispose | ( | Space & | home | ) |

inline virtual

Delete propagator and return its size.

Reimplemented from Gecode::Actor.

Definition at line 528 of file bool-int.hpp.

## Member Data Documentation

## co

template<class VX, class VB>

Council<Advisor> Gecode::Int::Linear::ReLinBoolInt< VX, VB >::co

protected

Council for single advisor.

Definition at line 919 of file linear.hh.

## x

template<class VX, class VB>

ViewArray<VX> Gecode::Int::Linear::ReLinBoolInt< VX, VB >::x

protected

Views.

Definition at line 921 of file linear.hh.

## n_s

template<class VX, class VB>

int Gecode::Int::Linear::ReLinBoolInt< VX, VB >::n_s

protected

Number of subscriptions.

Definition at line 923 of file linear.hh.

## c

template<class VX, class VB>

int Gecode::Int::Linear::ReLinBoolInt< VX, VB >::c

protected

Righthandside.

Definition at line 925 of file linear.hh.

## b

template<class VX, class VB>

VB Gecode::Int::Linear::ReLinBoolInt< VX, VB >::b

protected

Control variable.

Definition at line 927 of file linear.hh.

The documentation for this class was generated from the following files:

- gecode/int/linear.hh
- gecode/int/linear/bool-int.hpp